uses VenomGFX,FNFont2,Lacrt,Wokna32,Nadwokna,Vaznik,TedRadky;
{$CALLING OLDFPCCALL}

Procedure ZapniGrafiku;
begin
Init_Graph_or_inherite_graph(Find_Mode(800,600),LFB_ACCESS,BEST_FQ or 70);
FontAdr('.\fonty\');              {Adresar s fonty}
FN_PCX_adresar:=EXEdir+'obrazky\';
Init_Mouse(vga);
MouseShow;
end;


Procedure MyRunAkce(ja:pointer;var i:longint);
var o:Pokno_s_tlacitky;
    pr:PPrepinace;
begin
o:=ja;
if i=50 then
   begin
   pr:=o^.Retez^.Uzel_s_vyznamem(1)^.vazba;
   pr^.NastavStav(2);
   end;
end;


var p:virtualwindow;
    i,j:longint;
    s:string;
    r,t:pchar;
    ok:tokno_s_tlacitky;
    za:PZatrzitka;

    pr:PPrepinace;
    tl:PTlacitko;

    leva,prava:PVaznik;
    dl,dp:longint;
    z:boolean;

    vmro1,vmro2:byte;
    vxr,vyr,vmode:longint;
    vebpp:byte;

    f:pchar;
    ef:PEdRAdek;

    bbb:boolean;

begin
ZapniGrafiku;
NactiHlasky_ze_souboru_nebo_z_venomlink('.\TRANSLAT\blocek1.en');

{Chdir('d:\tp\projekty\wokna32');}

(*
vmro1:={1+2+4+8+16+32;}8;
vmro2:=8;
VyberMozneRozliseniObrazovky('Vyber rozliseni',200,20,vmro1,vmro2,vmode,vxr,vyr,vebpp);

OKokno('mod: '+mystr(vmode)+#13#10+
       'xr: '+mystr(vxr)+#13#10+
       'yr: '+mystr(vyr)+#13#10+
       'vebpp: '+mystr(vebpp));
*)

{okokno(mystr(byte(z)));}


{nactihlasky_ze_souboru('wokna32.cz');}

VyberHiColorBarvuOkno('Vyber HiColor barvu',15);

{VyberBarvuOkno('Vyber HiColor barvu',15);}

Kill_Mouse;
Kill_Graph;

{
writeln(i);
writeln(j);
}
end.
